<?php

// list_doc_tools.php

require_once '../../main/inc/global.inc.php';



api_protect_admin_script();

Display::display_header('List of Document Tools');

$course_table = Database::get_main_table(TABLE_MAIN_COURSE);
$session_table = Database::get_main_table(TABLE_MAIN_SESSION);
$c_lp = Database::get_course_table(TABLE_LP_MAIN);
$items_lp = Database::get_course_table(TABLE_LP_ITEM);

$sqlParts = " SELECT c.title as name , s.name as sname , tlp.name as lptitle, pcs.typec , pcs.lp_id ,pcs.code , pcs.id_session , pcs.item_id ";
$sqlParts .= " FROM plugin_chamidoc_state pcs ";
$sqlParts .= " INNER JOIN $course_table as c ON pcs.code = c.code ";
$sqlParts .= " LEFT JOIN $session_table as s ON pcs.id_session = s.id ";
$sqlParts .= " INNER JOIN $c_lp as tlp ON tlp.id = pcs.lp_id ";
$sqlParts .= " INNER JOIN $items_lp as item ON item.id = pcs.item_id ";
$sqlParts .= " ORDER BY c.title , tlp.name , s.name ";

$resultParts = Database::query($sqlParts);

$resultTable = "<table class='tableitems' border='1'>";

$resultTable .= "<tr>";
$resultTable .= "<td>Course</td>";
$resultTable .= "<td>Learning_path</td>";
$resultTable .= "<td>Type</td>";
$resultTable .= "<td>Preview</td>";
$resultTable .= "<td>Edit</td>";
$resultTable .= "</tr>";

$collectionOftype = array();
$collectionOfPlot = array();

while ($part = Database::fetch_array($resultParts)) {
    
    $name = $part['name'];
    $lptitle = $part['lptitle'];
    $typec = $part['typec'];
    // add type to collection
    if (!in_array($typec, $collectionOftype)) {
        $collectionOftype[$typec] = $typec;
    }
    $lpid = $part['lp_id'];
    $code = $part['code'];
    $item_id = $part['item_id'];
    $id_session = $part['id_session'];

    $url = api_get_path(WEB_PATH) .'/main/lp/lp_controller.php';
    $url .= '?cidReq='.$code.'&id_session='.$id_session.'&gidReq=0&gradebook=0';
    $url .= '&origin=&action=view_item&mode=preview_document&id='.$item_id.'&lp_id='.$lpid;

    $urlEdit = api_get_path(WEB_PATH) .'/main/lp/lp_controller.php';
    $urlEdit .= '?cidReq='.$code.'&id_session='.$id_session.'&gidReq=0&gradebook=0';
    $urlEdit .= '&origin=&action=edit_item&view=build&id='.$item_id.'&lp_id='.$lpid;

    $resultTable .= "<tr>";
    if ($id_session>0) {
        $sname = $part['sname'];
        $finalName = $name.' ('.$sname.')';
        $resultTable .= "<td>$name ($sname)</td>";
    } else {
        $finalName = $name;
        $resultTable .= "<td>$name</td>";
    }
    if (!in_array($finalName, $collectionOfPlot)) {
        $finalData = $code.'|'.$id_session;
        $collectionOfPlot[$code.'|'.$id_session] = $finalName;
    }

    $resultTable .= "<td>$lptitle</td>";
    $resultTable .= "<td>$typec</td>";
    $resultTable .= "<td><a onclick='previewDocument(\"".$url."\");' style='cursor:pointer;' >Preview</a></td>";
    $resultTable .= "<td><a href='".$urlEdit."' target='_blank' >Edit</a></td>";
    $resultTable .= "</tr>";

}

$resultTable .= "</table>";

$resultTable .= "<div class='divtablepreview' ></div>";

$resultTable .= "<link rel='stylesheet' type='text/css' href='resources/css/chamidoctable.css?v=3'>";
$resultTable .= "<script type='text/javascript' src='resources/js/chamidoc_table.js?v=3' ></script>";

echo $resultTable;

include("inc/formrapid.php");

Display::display_footer();