<?php

use ChamiloSession as Session;

$form = new FormValidator('dictionary', 'post', api_get_self().'?action=add');

$form->addElement('static','','','&nbsp;&nbsp;<h4>Ajouter un parcours&nbsp;&nbsp;</h4>');

// $collectionOfPlot[] 

$form->addElement('select','scope','Périmetre', $collectionOfPlot);

$form->addElement('select','type','Type', $collectionOftype);

$form->addText('title_event',get_lang('Title'),true);

$form->addButtonSave('&nbsp;&nbsp;'.get_lang('Add').'&nbsp;&nbsp;');

echo $form->returnForm();

$action = isset($_REQUEST['action']) ? $_REQUEST['action'] : '';

if ($action=='add') {

    if ($form->validate()) {
        
        $values = $form->getSubmitValues();

        $lp_name = $values['title_event'];

        if ($lp_name!='') {
           
            $scope = $values['scope']; // $code.'|'.$id_session
            $type = $values['type'];

            $scopePart = explode('|', $scope);
            $cidReq = $scopePart[0];
            $id_session = $scopePart[1];

            $courseInfo = api_get_course_info($cidReq);

            $course_id = intval(api_get_course_int_id($cidReq));

            $courseInfo['real_id'] = $course_id;
            $courseInfo['code'] = $cidReq;

            $type = TOOL_DOCUMENT;

            $new_lp_id = 0;

            if ($course_id>0) {

               Session::write('id_session', $id_session );

                $new_lp_id = learnpath::add_lp(
                    $cidReq,
                    $lp_name,
                    '',
                    'chamilo',
                    'manual',
                    '',
                    '',
                    '',
                    0
                );

            } else {
                echo 'error course_id';
            }

            if (is_numeric($new_lp_id)&&$new_lp_id>0) {

                $_SESSION['oLP'] = new learnpath(
                    $cidReq,
                    $new_lp_id,
                    api_get_user_id()
                );

                $_SESSION['oLP']->course_info = $courseInfo;
                $_SESSION['oLP']->lp_id = $new_lp_id;

                $dataF = '<html><head></head><body><p>chalkboardguid:'.$typec.'@';
                $dataF .= '@:end</p></body></html>';

                $randomnumber = rand(1, 1000);
                $infofilename = 'chamidoc-'.$typec.'-'.$randomnumber;

                $document_id = $_SESSION['oLP']->create_document(
                    $courseInfo,
                    $dataF,
                    $infofilename,
                    'html',
                    0
                );
                
                $node_id = $_SESSION['oLP']->add_item(
                    '',
                    '',
                    $type,
                    $document_id,
                    $lp_name,
                    '',
                    0
                );

                $eventLpId = intval($_SESSION['oLP']->get_id());
        
                $urlReturn = api_get_path(WEB_PATH).'main/lp/lp_controller.php?cidReq='.$cidReq.'&id_session='.$id_session;
                $urlReturn .= '&gidReq=0&gradebook=0&origin=&action=edit_item&view=build&id='.$node_id.'&lp_id='.$new_lp_id.'&path_item='.$document_id;

                // redirect to edit item
                echo '<script type="text/javascript">window.location.href="'.$urlReturn.'";</script>';
                exit;

            }
         
        }

    }

}

?>